
CREATE USER IF NOT EXISTS "" SALT '' HASH '' ADMIN;
CREATE SEQUENCE PUBLIC.SYSTEM_SEQUENCE_359F01C3_4499_4131_A36B_775E1EBF2C09 START WITH 1 BELONGS_TO_TABLE;
CREATE SEQUENCE PUBLIC.SYSTEM_SEQUENCE_BB73E7A8_24A5_428C_A704_2B334AD05F57 START WITH 1 BELONGS_TO_TABLE;

CREATE CACHED TABLE PUBLIC.FILM(
    ID VARCHAR(255) NOT NULL,
    TITRE VARCHAR(255)
);
CREATE CACHED TABLE PUBLIC.RESERVATION(
    ID BIGINT DEFAULT (NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_359F01C3_4499_4131_A36B_775E1EBF2C09) NOT NULL NULL_TO_DEFAULT SEQUENCE PUBLIC.SYSTEM_SEQUENCE_359F01C3_4499_4131_A36B_775E1EBF2C09,
    SEANCE_ID BIGINT
);
CREATE CACHED TABLE PUBLIC.SALLE(
    ID VARCHAR(255) NOT NULL,
    CAPACITE INTEGER NOT NULL
);
CREATE CACHED TABLE PUBLIC.SEANCE(
    ID BIGINT DEFAULT (NEXT VALUE FOR PUBLIC.SYSTEM_SEQUENCE_BB73E7A8_24A5_428C_A704_2B334AD05F57) NOT NULL NULL_TO_DEFAULT SEQUENCE PUBLIC.SYSTEM_SEQUENCE_BB73E7A8_24A5_428C_A704_2B334AD05F57,
    DATE TIMESTAMP,
    FILM_ID VARCHAR(255),
    SALLE_ID VARCHAR(255)
);

CREATE PRIMARY KEY PUBLIC.PRIMARY_KEY_2 ON PUBLIC.FILM(ID);
CREATE PRIMARY KEY PUBLIC.PRIMARY_KEY_23 ON PUBLIC.RESERVATION(ID);
CREATE PRIMARY KEY PUBLIC.PRIMARY_KEY_4 ON PUBLIC.SALLE(ID);
CREATE PRIMARY KEY PUBLIC.PRIMARY_KEY_9 ON PUBLIC.SEANCE(ID);
CREATE INDEX PUBLIC.FK_BRXYQVXTF2SFFUK6BVI7FII0B_INDEX_2 ON PUBLIC.RESERVATION(SEANCE_ID);
CREATE INDEX PUBLIC.FK_IKPN2GW5SUH4V7POWH06NEU96_INDEX_9 ON PUBLIC.SEANCE(FILM_ID);
CREATE INDEX PUBLIC.FK_BADENLI1VUG44TWQJL366DFV3_INDEX_9 ON PUBLIC.SEANCE(SALLE_ID);
ALTER TABLE PUBLIC.FILM ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ID) INDEX PUBLIC.PRIMARY_KEY_2;
ALTER TABLE PUBLIC.RESERVATION ADD CONSTRAINT PUBLIC.CONSTRAINT_23 PRIMARY KEY(ID) INDEX PUBLIC.PRIMARY_KEY_23;
ALTER TABLE PUBLIC.SALLE ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(ID) INDEX PUBLIC.PRIMARY_KEY_4;
ALTER TABLE PUBLIC.SEANCE ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ID) INDEX PUBLIC.PRIMARY_KEY_9;
ALTER TABLE PUBLIC.RESERVATION ADD CONSTRAINT PUBLIC.FK_BRXYQVXTF2SFFUK6BVI7FII0B FOREIGN KEY(SEANCE_ID) INDEX PUBLIC.FK_BRXYQVXTF2SFFUK6BVI7FII0B_INDEX_2 REFERENCES PUBLIC.SEANCE(ID) NOCHECK;
ALTER TABLE PUBLIC.SEANCE ADD CONSTRAINT PUBLIC.FK_IKPN2GW5SUH4V7POWH06NEU96 FOREIGN KEY(FILM_ID) INDEX PUBLIC.FK_IKPN2GW5SUH4V7POWH06NEU96_INDEX_9 REFERENCES PUBLIC.FILM(ID) NOCHECK;
ALTER TABLE PUBLIC.SEANCE ADD CONSTRAINT PUBLIC.FK_BADENLI1VUG44TWQJL366DFV3 FOREIGN KEY(SALLE_ID) INDEX PUBLIC.FK_BADENLI1VUG44TWQJL366DFV3_INDEX_9 REFERENCES PUBLIC.SALLE(ID) NOCHECK;
